Lovense Integration: ULovenseToy Class Reference

Lovense Integration

Public Member Functions | Friends | List of all members
ULovenseToy Class Reference

UObject representing a Lovense Toy. More...

`#include <LovenseIntegration/Source/LovenseIntegration/Public/LovenseToy.h>`

Inheritance diagram for ULovenseToy:

## Public Member Functions

FString | GetFullToyName ()

Compiles the full toy name in this format: "[ToyName] [ToyVersion] ([ToyNickname]) e.g. "Max 2 (Funny Name)". \n If the toy does not have a version or the version is 1, it will be omitted. E.g. "Nora (Funny Name)". \n If the user has not set a nickname, it will be omitted. E.g. "Diamo".
This follows the naming convention of the Lovense Apps.

FString | GetAssociatedAdapterPlatformName ()
| Compiles the app type and platform of the adapter this toy is associated with in this format: "[apptype] [platform]" e.g. "remote android" or "connect pc".
FORCEINLINE bool | IsConnected ()
| Whether this toy's connection to the Lovense App is active.
FORCEINLINE int32 | GetBatteryStatus ()
| Current battery status of the toy. Value is percentage charged, range is 0-100%. If battery status is unknown, returned value will be -1.
bool | IsRunningTestCommand ()
| Whether this toy is currently running a test command. A test command vibrates the toy at speed 10 for 1 second.
bool | IsValidToy ()
| Checks whether this is a valid UObject and has all required information for normal functionality. This should only ever be false if any cached toy objects were not updated during ULovenseEvents::onLovenseUpdatedToys. More...
const FORCEINLINE FString & | GetToyID ()
const FORCEINLINE FLovenseToyDescription & | GetToyDescription ()
| The toy description of this toy. Holds (mostly) raw ILovenseAdapter::GetToys() HTTP request json data for this adapter.
FORCEINLINE void | SetToyDescription (const FLovenseToyDescription &description)
| Called by the Lovense Adapters to set the toy description of this toy. Holds (mostly) raw GetToys() HTTP request json data for this adapter.

## Friends

class | ILovenseAdapter
class | FLovenseManager

## Detailed Description

UObject representing a Lovense Toy.

## Member Function Documentation

## ◆ GetToyID()

const FORCEINLINE FString& ULovenseToy::GetToyID | ( |  | ) |

inline

Returns
  Toy identifier string.

## ◆ IsValidToy()

bool ULovenseToy::IsValidToy | ( |  | ) |

Checks whether this is a valid UObject and has all required information for normal functionality.
This should only ever be false if any cached toy objects were not updated during ULovenseEvents::onLovenseUpdatedToys.

Note
  You should not need to check this in most cases as this will be checked internally when using this object.

The documentation for this class was generated from the following files:

- LovenseIntegration/Source/LovenseIntegration/Public/LovenseToy.h
- LovenseIntegration/Source/LovenseIntegration/Private/LovenseToy.cpp